Package Details: plasma-framework-git r13831.0ffd768-2

Git Clone URL: https://aur.archlinux.org/plasma-framework-git.git (read-only, click to copy)
Package Base: plasma-framework-git
Description: Plasma library and runtime components based upon KF5 and Qt5
Upstream URL: https://projects.kde.org/projects/playground/libs/plasma-framework
Licenses: LGPL
Groups: kf5
Conflicts: plasma-framework
Provides: plasma-framework
Submitter: ilpianista
Maintainer: zanny
Last Packager: zanny
Votes: 12
Popularity: 0.28
First Submitted: 2014-01-04 11:06
Last Updated: 2020-07-01 23:44

Required by (97)

Sources (1)

Latest Comments

1 2 Next › Last »

parkerlreed commented on 2020-11-21 06:56

Current plasma-desktop-git needs KF5PlasmaQuick cmake.

plasma-framework from the repos contains this, this packages does not.

-DBUILD_QCH=ON has to be added to the cmake build for this to work.

https://github.com/archlinux/svntogit-packages/blob/packages/plasma-framework/trunk/PKGBUILD#L23

IslandC0der commented on 2020-08-01 13:54

Hi, could you please change the source to git+https://github.com/KDE/plasma-framework.git, please? The current one isn't up-to-date.

zanny commented on 2018-03-11 23:25

Working to fix this package, but for now upstream kirigami-git needs to update its dependences to qtquickcontrol2s and include a conflicts with other kirigami installs. Waiting on either the maintainer to come back or to adopt and fix it.

raneon commented on 2018-01-07 17:30

I had to install kirigami-git to compile plasma-framework.

tajidinabd commented on 2015-09-05 05:28

does this build with kpackage from main repo, because the -git version is not available on aur anymore? can not upgrade plasma-framework-git due to kpackage issue.

tajidinabd commented on 2015-01-23 21:37

plasma-desktop-git E: Dependency packagekit-qt5 detected and not included (libraries ['usr/lib/libpackagekitqt5.so.0'] needed in files ['usr/lib/qt/qml/org/kde/plasma/private/kicker/libkickerplugin.so

arojas commented on 2014-12-10 15:42

@MaNNa that's not what sl1pkn07 said. The kdeclarative is already an indirect dependency.

MaNNa commented on 2014-12-10 14:48

Needs: 'kdeclarative-git' to build, as @sl1pkn07 mentioned.

________________________________________________________________________________________________________________________________________
In God's love,
†MaNNa <{{{>< ...to You all thanks and glory Lord Yeshua!

And Jesus prayed to The Father, "And this is the way to eternal life - to know You, the Only True God, and Jesus Christ the One You sent to earth.

sl1pkn07 commented on 2014-12-07 01:12

plasma-framework-git W: Dependency kdeclarative-git included but already satisfied

greetings

sl1pkn07 commented on 2014-04-07 19:36

http://sl1pkn07.no-ip.com/paste/view/a6ef5131
need export XDG_DATA_DIRS="/opt/kf5/share:$XDG_DATA_DIRS"